### Hierarchy

- IJenkinsObject
  - IJenkinsChangeSet

### Implemented by

- JenkinsChangeSet

## Index

### Properties

- _class
- affectedPaths
- author
- authorData
- authorEmail
- comment
- commitId
- date
- id
- msg
- paths
- timestamp

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:25

### affectedPaths

affectedPaths: Array<string>

- Defined in jenkins-api-ts-typings.ts:137

### author

author: IJenkinsUser

- Defined in jenkins-api-ts-typings.ts:148

### authorData

authorData: any

- Defined in jenkins-api-ts-typings.ts:147

### authorEmail

authorEmail: string

- Defined in jenkins-api-ts-typings.ts:140

### comment

comment: string

- Defined in jenkins-api-ts-typings.ts:141

### commitId

commitId: string

- Defined in jenkins-api-ts-typings.ts:138

### date

date: Date

- Defined in jenkins-api-ts-typings.ts:142

### id

id: string

- Defined in jenkins-api-ts-typings.ts:143

### msg

msg: string

- Defined in jenkins-api-ts-typings.ts:144

### paths

paths: Array<any>

- Defined in jenkins-api-ts-typings.ts:146

### timestamp

timestamp: number

- Defined in jenkins-api-ts-typings.ts:139

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:27

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:28

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:26

  #### Returns string

Generated using TypeDoc